package com.sxyz.rfid.presenter;

import android.app.Activity;

import androidx.fragment.app.Fragment;

import com.sxyz.rfid.presenter.model.ReviewTaskCheck;

/**
 * @Description: 盘点
 * @Project: rfid-app
 * @Author: chunyuan.wu
 */
public interface IReviewPresenter {
    //查询盘点列表
    void doReviewList(Fragment activity, int pageSize, int pageNum, String taskNo);

    //删除盘点任务
    void doDeleteReviewTask(Fragment activity, int taskId);

    //盘点详情 - 盘点任务明细信息
    void doReviewDetail(Activity activity, int taskId);

    //盘点详情列表 - 盘点任务明细信息
    void doReviewDetailList(Activity activity, int taskId);

    //盘点结果
    void doReviewResult(Activity activity, int taskId);

    //执行盘点 - 任务基础信息 - 扫描执行盘点
    void doReviewScanTaskCheck(Activity activity, ReviewTaskCheck reviewTaskCheck);

    //执行盘点 - RFID执行盘点
    void doReviewRfidTaskCheck(Activity activity, ReviewTaskCheck reviewTaskCheck);

    //结束盘点
    void doStopReviewTask(Fragment activity, int taskId);
}
